Get webhook subscription
curl --request GET \
--url https://api.tela.com/webhook/{webhookId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tela.com/webhook/{webhookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tela.com/webhook/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/webhook/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/webhook/{webhookId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tela.com/webhook/{webhookId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/webhook/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "7d8e9f0a-1b2c-4d3e-8f4a-5b6c7d8e9f0a",
"promptApplicationId": "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
"name": "ERP sync",
"url": "https://erp.example.com/hooks/tela",
"events": [
"task.completed",
"task.approved"
],
"headers": {
"authorization": "Bearer erp-webhook-token",
"x-source": "tela"
},
"sensitiveHeaders": [
"authorization"
],
"method": "POST",
"isActive": true,
"createdAt": "2025-06-10T08:00:00.000Z",
"updatedAt": "2025-06-10T08:00:00.000Z",
"deletedAt": null
}Webhook
Get webhook subscription
Returns a single webhook subscription. Deleted webhooks return 404.
GET
/
webhook
/
{webhookId}
Get webhook subscription
curl --request GET \
--url https://api.tela.com/webhook/{webhookId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tela.com/webhook/{webhookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tela.com/webhook/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/webhook/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/webhook/{webhookId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tela.com/webhook/{webhookId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/webhook/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "7d8e9f0a-1b2c-4d3e-8f4a-5b6c7d8e9f0a",
"promptApplicationId": "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
"name": "ERP sync",
"url": "https://erp.example.com/hooks/tela",
"events": [
"task.completed",
"task.approved"
],
"headers": {
"authorization": "Bearer erp-webhook-token",
"x-source": "tela"
},
"sensitiveHeaders": [
"authorization"
],
"method": "POST",
"isActive": true,
"createdAt": "2025-06-10T08:00:00.000Z",
"updatedAt": "2025-06-10T08:00:00.000Z",
"deletedAt": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Webhook subscription ID
Response
Webhook subscription
A webhook subscription of a Workstation application.
Application the webhook belongs to.
Maximum string length:
256Endpoint that receives the events.
Maximum string length:
2048Events a webhook can subscribe to:
task.completed— a task run finished successfully and is ready for review.task.approved— a task was reviewed and approved.task.approval-revoke— an approved task was sent back tovalidating.task.failed— a task run ended with a failure (errorMessageis set in the payload).
Available options:
task.completed, task.approved, task.approval-revoke, task.failed Headers sent verbatim with every delivery. Use them for authentication (for example authorization or x-api-key).
Show child attributes
Show child attributes
Names of headers considered sensitive. Stored as provided; the API does not currently mask them in responses.
HTTP method used for deliveries. Defaults to POST.
Maximum string length:
10Inactive webhooks receive no deliveries.